--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "A new Client object can be initialized using two forms:"
- !ruby/struct:SM::Flow::P 
  body: "Standard positional parameters:"
- !ruby/struct:SM::Flow::VERB 
  body: "  login     (String,  default : '')\n  passcode  (String,  default : '')\n  host      (String,  default : 'localhost')\n  port      (Integer, default : 61613)\n  reliable  (Boolean, default : false)\n\n  e.g. c = Client.new('login', 'passcode', 'localhost', 61613, true)\n"
- !ruby/struct:SM::Flow::P 
  body: "Stomp URL :"
- !ruby/struct:SM::Flow::VERB 
  body: "  A Stomp URL must begin with 'stomp://' and can be in one of the following forms:\n\n  stomp://host:port\n  stomp://host.domain.tld:port\n  stomp://login:passcode@host:port\n  stomp://login:passcode@host.domain.tld:port\n"
full_name: Stomp::Client::new
is_singleton: true
name: new
params: (login = '', passcode = '', host = 'localhost', port = 61613, reliable = false)
visibility: public
